<div class="container">
  <div class="m2Sys-box">
    <div class="row">
      <div class="col-lg-12 col-md-12 col-sm-12">
        <div class="col-lg-12 col-md-12 col-sm-12">
          <div class="form-inline">
            <label for="select-row-number-to-show" class="label">Show</label>
            <select name="select-row-number-to-show" id="select-row-number-to-show" class="form-control" [(ngModel)]="rowNumberToShow" (change)="getTotalEmployeeCount();">
              <option *ngFor="let rn of rowNumberListToShow" value={{rn}}>
                {{rn}}
              </option>
            </select>
            <label for="select-row-number-to-show" class="label">entries</label>

          </div>
          <div class="form-inline">
            <div class="form-group">
              <label for="txt-emp-search"></label>
              <input type="text" id="txt-emp-search" name="txt-emp-search" class="form-control" [(ngModel)]="searchParam" />
              <button type="button" class="btn btn-primary" (click)="getTotalEmployeeCount();">Search</button>
            </div>
            <div class="form-group float-right">
              <button class="btn btn-primary" (click)="navigateAddEmployee();">Add Employee</button>
            </div>
          </div>
        </div>
        <div class="col-lg-12 col-md-12 col-sm-12">
          <div class="table">
            <table class="table table-bordered table-responsive-lg table-responsive-md table-responsive-sm table-responsive-xl">
              <thead class="th">
                <tr>
                  <th>First Name</th>
                  <th>Middle Name</th>
                  <th>Last Name</th>
                  <th>Date Of Birth</th>
                  <th>Joining Date</th>
                  <th>Department</th>
                  <th>Designation</th>
                  <th>Action</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let employee of employees">
                  <td>{{employee.FirstName}}</td>
                  <td>{{employee.MiddleName}}</td>
                  <td>{{employee.LastName}}</td>
                  <td>{{employee.DateOfBirth| date: "MM/dd/yyyy"}}</td>
                  <td>{{employee.JoiningDate| date: "MM/dd/yyyy"}}</td>
                  <td>{{employee.DepartmentName}}</td>
                  <td>{{employee.DesignationName}}</td>
                  <td>
                    <button class="btn btn-primary" (click)="navigateEditEmployee(employee.Id)">Edit</button>
                    <button class="btn btn-danger" (click)="deleteEmployee(employee.Id)">Delete</button>
                    <button class="btn btn-secondary" (click)="viewEmployee(employee.Id)">View</button>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
          <div class="col-lg-12 col-md-12 col-sm-12">
            <button type="button" class="btn btn-primary float-left" (click)="onPreviousClick();" *ngIf="pageNumber>1">Previous</button>
            <button type="button" class="btn btn-primary float-right" (click)="onNextClick();" *ngIf="pageNumber<totalPage">Next</button>
          </div>
        </div>

      </div>
    </div>
  </div>
</div>
